Subject: bug#21738: 25.0.50; eww freezes/crashes at times

From: Glenn Morris <[email-masked]>
Date: Fri, 23 Oct 2015 12:59:02 -0400

Kaushal Modi wrote:

> C-x C-f SOMEFILE.png
>
> When in the same buffer when I did
>
> C-x C-f SOMEOTHERFILE.png
>
> my emacs froze just like in that eww experiment!

I was going to say that this uses libpng, not ImageMagick.
But I see this has been changed in master v 24.5.
I see no relevant NEWS entry.

Previously (IIRC) we recommended against making such a change, precisely
because ImageMagick seemed to be a bit flakier than more "traditional"
image libraries.

(eww/shr is different since it uses ImageMagick so it can rescale.)